#
# spec file for package docbook_3
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           docbook_3
BuildRequires:  sgml-skel
BuildRequires:  unzip
Provides:       dbhset
Provides:       docbk30
Provides:       docbk31
Provides:       docbook_3-dtd
Obsoletes:      docbk30
Requires:       docbook_4
Requires:       iso_ent
%define regcat /usr/bin/sgml-register-catalog
PreReq:         %{regcat} /usr/bin/xmlcatalog
Summary:        DocBook DTD 3.x
License:        BSD-3-Clause AND MIT
Group:          Productivity/Publishing/DocBook
Version:        3.1
Release:        771.1
### Version macros are defined so I can use them below,
### don't use macros for "Source:" and "Patch:" values.
%define dtd30 docbk30.zip
Source0:        http://www.oasis-open.org/docbook/docbook/3.0/docbk30.zip
%define dtd31 docbk31.zip
Source1:        http://www.oasis-open.org/docbook/docbook/3.1/docbk31.zip
# Docu now to be found at http://www.oasis-open.org/docbook/documentation/
%define docu dbhset.tar.gz
Source2:        http://www.ora.com/davenport/dbdoc/dbhset.tar.gz
%define db3xver 3.1.7
%define db3x db3x317.zip
Source3:        http://nwalsh.com/docbook/xml/3.1.7/db3x317.zip
%define db3sxver 3.1.7.1
%define sdb sdb3171.zip
Source4:        http://nwalsh.com/docbook/simple/3.1.7.1/sdb3171.zip
Source5:        %{name}-README.SuSE
Source6:        http://www.labs.redhat.com/png/png-support.dtd
Source7:        http://www.labs.redhat.com/png/png-support-3.1.dtd
Source8:        CATALOG.db3sxml
Source9:        CATALOG.db3xml
Source10:       CATALOG.docbk30
# CATALOG.docbk31
Source11:       CATALOG.docbook_3
Source12:       CATALOG.gnome
%define  pkgdif docbk30.dif
Patch0:         docbk30.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Url:            http://www.oasis-open.org/docbook/

%description
This package contains version 3.0 and 3.1 and an XML version.  It is
suitable for writing technical documentation.

The documentation can be found in /usr/share/doc/packages/docbook_3.

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define INSTALL_SCRIPT install -m755
%define sgml_dir %{_datadir}/sgml
%define sgml_docbook_dir %{sgml_dir}/docbook
%define sgml_docbook_dtd_dir %{sgml_docbook_dir}/dtd
%define sgml_docbook_custom_dir %{sgml_docbook_dir}/custom
%define sgml_docbook_style_dir %{sgml_docbook_dir}/stylesheet
%define xml_dir %{_datadir}/xml
%define xml_docbook_dir %{xml_dir}/docbook
%define xml_docbook_dtd_dir %{xml_docbook_dir}/schema/dtd
%define xml_docbook_custom_dir %{xml_docbook_dir}/custom
%define xml_docbook_style_dir %{xml_docbook_dir}/stylesheet
%define sgml_sysconf_dir %{_sysconfdir}/sgml
%define xml_sysconf_dir %{_sysconfdir}/xml

%prep
%setup -q -n %{name} -c -T
cp %{S:5} README.SuSE
%{INSTALL_DIR} dtd/{3.0,3.1} html xml sdb
cd dtd/3.0
unzip -aq %{_sourcedir}/%{dtd30}
cd ../3.1
unzip -aq %{_sourcedir}/%{dtd31}
cd ../../xml
unzip -aq %{_sourcedir}/%{db3x}
cd ../sdb
unzip -aq %{_sourcedir}/%{sdb}
cd ../html
tar -xzf %{_sourcedir}/%{docu}
cd ..
# %setup -T -D -a 1
cp -p %{_sourcedir}/png-support.dtd .
cp -p %{_sourcedir}/png-support-3.1.dtd .
cp %{S:8} %{S:9} %{S:10} %{S:11} %{S:12} .
patch -s -p0 <%{_sourcedir}/%{pkgdif}
rm -f html/index.html.orig
chmod -R a+rX,g-w,o-w .
find %{_builddir} -type d -exec chmod 755 {} +

%build

%install
pkg_name=%{name}
doc_dir=%{buildroot}/%{_defaultdocdir}/$pkg_name
%{INSTALL_DIR} $doc_dir/{30,31}
%{INSTALL_DIR} %{buildroot}%{sgml_docbook_dtd_dir}/{3.0,3.1,3.x-gnome}
%{INSTALL_DATA} dtd/3.0/* %{buildroot}/%{sgml_docbook_dtd_dir}/3.0
%{INSTALL_DATA} dtd/3.1/* %{buildroot}/%{sgml_docbook_dtd_dir}/3.1
%{INSTALL_DATA} png-support.dtd png-support-3.1.dtd \
  %{buildroot}/%{sgml_docbook_dtd_dir}/3.x-gnome
# xml
%{INSTALL_DIR} %{buildroot}/%{xml_docbook_dtd_dir}/{3.1,3.1-sdb}
cp -a xml/* %{buildroot}/%{xml_docbook_dtd_dir}/3.1
cp -a sdb/* %{buildroot}/%{xml_docbook_dtd_dir}/3.1-sdb
# pushd %{buildroot}/%{sgml_docbook_dtd_dir}
ln -sf %{xml_docbook_dtd_dir}/3.1 %{buildroot}/%{sgml_docbook_dtd_dir}/3.1xml
ln -sf %{xml_docbook_dtd_dir}/3.1-sdb \
  %{buildroot}/%{sgml_docbook_dtd_dir}/3.1-sdbxml
# popd
# %{INSTALL_DIR} $sgml_dir/USA-DOD/dtd
# %{INSTALL_DIR} $sgml_dir/Davenport/{elements,entities,dtd}
# %{INSTALL_DIR} $sgml_dir/OASIS/{elements,entities,dtd}
%{INSTALL_DATA} element-list.txt README.SuSE $doc_dir
c=$(echo CATALOG.*)
%{INSTALL_DATA} $c %{buildroot}/%{sgml_dir}
ln -sf %{sgml_dir}/CATALOG.docbook_3 \
  %{buildroot}/%{sgml_dir}/CATALOG.docbk31
# docomentation
cp -a html $doc_dir

%post
if [ -x %{regcat} ]; then
  for c in docbook_3; do
    %{regcat} -a  %{sgml_dir}/CATALOG.$c >/dev/null 2>&1 || true
  done
fi
exit 0

%postun
if [ "$1" = "0" -a -x %{regcat} ]; then
  for c in docbook_3; do
    %{regcat} -r %{sgml_dir}/CATALOG.$c >/dev/null 2>&1 || true
  done
fi
exit 0

%files
%defattr(-, root, root)
%{sgml_dir}/CATALOG.*
%{sgml_docbook_dtd_dir}/3*
%{xml_docbook_dtd_dir}/3*
%{_defaultdocdir}/%{name}
%dir %{sgml_docbook_dtd_dir}
%dir %{xml_docbook_dir}/schema
%dir %{xml_docbook_dtd_dir}

%changelog
* Thu Feb 14 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Fixup installed CATALOG files to follow the move to /usr/share.
* Tue Feb  5 2019 Jan Engelhardt <jengelh@inai.de>
- Replace old $RPM_* shell vars and "useless use of cat".
* Thu Jan 31 2019 ke@suse.com
- Do not install in /var/lib; bsc#1093345
* Fri Feb  1 2013 coolo@suse.com
- update license to new format
* Mon Jun 11 2012 coolo@suse.com
- iso_ent is required for SGML, so readd it as long as SGML is supported
* Tue Jun  5 2012 ke@suse.de
- No longer require iso_ent (now Recommends).
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Thu Mar 29 2007 aj@suse.de
- Add unzip to BuildRequires.
* Thu Jan 11 2007 ke@suse.de
- Remove /usr/share/xml from the files list.
* Mon Aug 14 2006 ke@suse.de
- Remove obsolete compatibility link for <= SL 9.0.
* Sun Feb 19 2006 ro@suse.de
- modify setup line in specfile
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 10 2004 ke@suse.de
- Move XML DTDs to /usr/share/xml/docbook/schema/dtd.
- Use norootforbuild.
* Mon Jan 26 2004 ke@suse.de
- Fix catalog files.
* Thu Jan 22 2004 ke@suse.de
- Adjust directories according to FHS 2.3:
  * Move XML DTDs to /usr/share/xml/docbook.
  * Move SGML DTDs to /usr/share/sgml/docbook.
  * Keep CATALOG.* files in /usr/share/sgml for the time being.
  * Provide compatibility links for SL =< 9.0 (log this info in
    /var/adm/SuSEconfig/run-sgmldir-links for later processing).
* Fri Jun 13 2003 ke@suse.de
- Add missing directories to %%files.
- Use %%postun for removing sgml catalog at deinstallation time.
* Tue Nov 26 2002 ke@suse.de
- Register CATALOG.docbook_3 using sgml-register-catalog.
- Cleanup jade_dsl references.
* Tue Nov 19 2002 ke@suse.de
- Cleanup CATALOG.docbk30: remove references to DSSSL DTDs [# 21852].
* Wed Jun 26 2002 ro@suse.de
- fix directory permissions
* Wed Jun 19 2002 ke@suse.de
- Require docbook_4 to gain access to USA-DOD/dtd/Table_Model_951010
  [# 11153].
- Update docbook_3.test.
* Fri Sep 21 2001 ke@suse.de
- Do not install link 'USA-DOD/dtd/Table_Model_951010' to avoid file
  conflict with docbook_4; reported by Ruediger Oertel.
* Mon Mar 26 2001 ke@suse.de
- Improve README.SuSE.
* Tue Mar 13 2001 ro@suse.de
- fixed links to sgml/docbk31
* Mon Mar 12 2001 ke@suse.de
- Rename package: docbk30 -> docbook_3.
- New CATALOG name: CATALOG.docbook_3 (for now provide compatibility
  links: CATALOG.docbk3[01]; depreciated!).
- Drop website from this package; website now is an own package
  (docbook-xml-website) [#6669].
- Pull out README.SuSE from the diff file; add more info.
- Update docbook_3.test.
* Mon Mar  5 2001 ke@suse.de
- Provide entry for "DocBook PNG Variant V1.1" in  CATALOG.gnome.
- Cleanup spec file.
* Wed Jul 26 2000 ke@suse.de
- Fix #3636: Source the iso_ent catalog from within CATALOG.docbk31.
* Mon Jun 19 2000 ro@suse.de
- doc relocation
* Wed Feb 16 2000 ke@suse.de
- Add the GNOME variant.
* Mon Jan 10 2000 ke@suse.de
- Install "sdb".
- Add (better working) catalogs for the `xml' and the `sdb' DTD.
* Sun Dec 19 1999 ke@suse.de
- Add Norman Walsh's website as an example of a customization
  layer.
* Fri Nov 12 1999 ke@suse.de
- Update XML versions (bugfix release).
* Sun Oct 24 1999 ke@suse.de
- Update XML versions.
- "noarch".
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug  9 1999 bs@suse.de
- added Check
* Mon Aug  9 1999 ke@suse.de
- Provide /var/lib/sgml/CATALOG.db3xml, a catalog for the XML version of
  the DocBook DTD.
* Fri Jul  2 1999 ke@suse.de
- Add "DocBk XML" (db3x) and "Simplified DocBk XML" (sdb).
* Sat Feb 20 1999 ke@suse.de
- Add the DocBook DTD version 3.1.
- Provide an additional CATALOG: /var/lib/sgml/CATALOG.docbk31.
* Mon Oct 26 1998 ke@suse.de
- Make the stylesheets (db) a separate package (`docbkdsl').
* Tue Sep 29 1998 ke@suse.de
- Update dsssl scripts: db118.zip.
- Install the new *.ent files.
* Sun Aug  9 1998 ke@suse.de
- Update dsssl scripts: db110.zip.
* Wed Jul 29 1998 ke@suse.de
- Update dsssl scripts: db109.zip.
- Add db2html.dsl.mail as documentation.
* Tue Jun 16 1998 ke@suse.de
- Update dsssl scripts: db108.zip.
- Install CATALOG as /var/lib/sgml/CATALOG.docbk30.
* Sat Feb 28 1998 ke@suse.de
- Update dsssl scripts: db107.zip.
* Sat Feb 21 1998 ke@suse.de
- Update dsssl scripts: db106.zip.
- Install Norman's documentation.
* Sun Jan 25 1998 ke@suse.de
- Source: and Patch: w/o macro definitions.
* Tue Jan 20 1998 ke@suse.de
- Update dsssl scripts: db101.zip.
- Provide an CATALOG.example.
* Thu Nov 27 1997 ke@suse.de
- restored spec file.
* Tue Nov 18 1997 ke@suse.de
- don't use %%post and %%preun scripts to manage links.
* Tue Sep  9 1997 Karl Eichwalder  <ke@suse.de>
  * Update the formatter scripts db091.zip and dbhtm03.zip.
  * Use spec file.
* Wed Aug  6 1997 Karl Eichwalder  <ke@suse.de>
  * Add index.html for docs.
  * Add README.SuSE
* Sat Aug  2 1997 Karl Eichwalder  <ke@suse.de>
  * Initial package.  repacked:
  ftp://ftp.ora.com/pub/davenport/current/docbk30.tar.Z
  http://www.ora.com/davenport/dbdoc/dbhset.tar.gz
  http://www.berkshire.net/~norm/dsssl/db088.zip
  http://www.berkshire.net/~norm/dsssl/dbhtm01.zip
